Bug 215656 - devel/tbb build fail with clang 3.9
Summary: devel/tbb build fail with clang 3.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-29 16:16 UTC by rozhuk.im
Modified: 2017-01-06 17:37 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (martymac)


Attachments
Accept absolute paths for CC and CXX (2.69 KB, patch)
2017-01-05 22:12 UTC, Ganael LAPLANCHE
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2016-12-29 16:16:17 UTC
===>   tbb-2017.1_2 depends on file: /usr/local/sbin/pkg - found
=> tbb2017_20160916oss_src.tgz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://threadingbuildingblocks.org/sites/default/files/software_releases/source/tbb2017_20160916oss_src.tgz
tbb2017_20160916oss_src.tgz                   100% of 2869 kB  430 kBps 00m07s
===> Fetching all distfiles required by tbb-2017.1_2 for building
===>  Extracting for tbb-2017.1_2
=> SHA256 Checksum OK for tbb2017_20160916oss_src.tgz.
ln: /tmp/ports/usr/ports/devel/tbb/work/tbb2017_20160916oss/build/FreeBSD./usr/local/bin/clang38.inc: No such file or directory
*** Error code 1

After system clang upgraded from 3.8 to 3.9.1
Comment 1 Ganael LAPLANCHE freebsd_committer 2017-01-05 22:11:10 UTC
Hi,

Thanks for your report.

Indeed, tbb itself does not seem to be ready to use an absolute path for $CC and $CXX. I have attached a patch that fixes that situation.

I have tried to build the port that way :

# make CC=/usr/local/bin/clang38 CXX=/usr/local/bin/clang++38

and it builds fine with my patch. Is it OK on your side ?

Best regards,

Ganael.
Comment 2 Ganael LAPLANCHE freebsd_committer 2017-01-05 22:12:39 UTC
Created attachment 178563 [details]
Accept absolute paths for CC and CXX
Comment 3 rozhuk.im 2017-01-06 15:51:28 UTC
I add to make.conf and build ok.
Comment 4 commit-hook freebsd_committer 2017-01-06 17:33:30 UTC
A commit references this bug:

Author: martymac
Date: Fri Jan  6 17:33:05 UTC 2017
New revision: 430719
URL: https://svnweb.freebsd.org/changeset/ports/430719

Log:
  Accept absolute paths for CC and CXX

  PR:		215656
  Submitted by:	rozhuk.im@gmail.com

Changes:
  head/devel/tbb/Makefile
  head/devel/tbb/files/patch-common.inc
Comment 5 Ganael LAPLANCHE freebsd_committer 2017-01-06 17:37:47 UTC
Patch committed, thanks!